<div class="dashboradWrap">
  <!--<app-top-nav></app-top-nav>-->
  <div class="topNavWrap">
    <div class="profileBar">
      <div class="pull-left">
        <ul class="lhs">
          <li class="w1"><span class="searchIcong"></span></li>
          <li class="w2"><input type="text"   [(ngModel)]="searchText"  class="seacrh" placeholder="Search  assignment name"/></li>
        </ul>
      </div>
      <div class="pull-right">
        <!-- <p  class="alert alert-danger" style="margin-bottom:0;padding:9px">pending beacuse of assets</p> -->
        <ul class="profile">
          <li>
            <div class="noftificationBel">
              <span class="belImg"></span>
              <em class="notistats">5</em>
            </div>
          </li>

          <li>
            <div class="dropdown profilePic">
              <div class="profilePic dropdown-toggle"  id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                <!-- <span class="caret"></span> -->
                <img src="assets/image/profilePic.png">
              </div>
              <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                <li><a href="javascript:void(0)">Profile</a></li>
                <li><a href="javascript:void(0)" (click)="logout()">Logout</a></li>
              </ul>
            </div>
          </li>
        </ul>
      </div>
    </div>
    <div class="Assingstatus" *ngIf="showStatusBar">
        <p > Assignment successfully created </p>
    </div>
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p class="active" (click)="navigateAssignment()">Live</p>
        </li>
        <li>
          <p>Completed</p>
        </li>
        <!--  <li>
             <p>Planned</p>
           </li>-->
        <li>
          <p>Cancelled</p>
        </li>
      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" data-toggle="modal" data-target="#pop0"  >
        + Create
      </button>
    </div>
  </div>
  <div class="titleBar">
    <h4 class="black">{{assignmentList.length}} <a href="javascript:void(0)" class="black" data-toggle="tooltip" title="Assignment/Test/Assessment">ATA</a></h4>
    <div class="sortCont">
      <ul>
        <li>
          <div class="filter">
            <span></span>
          </div>
        </li>
        <li>
          <div class="dropDown custmdropdwon">
            <select [ngModel]="selectedDevice" (ngModelChange)="showRecordsBasedonType($event)" name="sel2"
                    class="btn-custm" style="padding:9px 30px 9px 14px">
              <option  value="all">All types</option>
              <option value="Assignment">Assignment</option>
              <option value="Project">Project</option>
              <option value="Quiz">Quiz</option>
              <option value="Test" >Test</option>
            </select>
          </div>
        </li>
        <li>
          <!-- [ngClass]="!isGridViewActive&&isListViewActive ? 'gridv.active' : 'gridv'" -->
          <div class="gridv active"  (click)="navigateDashBoardView()"></div>
        </li>
        <li>
          <!-- [ngClass]="isGridViewActive&&!isListViewActive ? 'listv.active' : 'listv'"  -->
          <div class="listv"  (click)="navigateListView()"></div>
        </li>
      </ul>
    </div>
  </div>

  <div class="imgHolder" >
    <div class="grid3" >
      <ul class="gridList" *ngIf="assignmentList.length>0">
        <li class="listWrap"  *ngFor="let assignment of assignmentList | grdFilter: {assignmentName: searchText};" (click)="zoomAdded(assignment)">
          <a href="javascript:void(0)">
            <figure *ngIf="assignment&&assignment.attachmentDetails[0]"><img src="http://51.15.95.69:5200/getAssignmentFile/{{assignment.attachmentDetails[0]}}"></figure>
            <figure *ngIf="assignment&&!assignment.attachmentDetails[0]">
              <img src="assets/image/d1.jpg"></figure>

            <div class="editCont">
              <div class="edit"></div>
              <div class="popUpCont" [ngClass]="{'DB': assignment.index==localIndex}"  >
                <p (click)="navigateToEditAssignment(assignment)">Edit</p>
                <p (click)="deleteAssignmentIntermediateDetails(assignment)" data-toggle="modal" data-target="#deletePopUp">Delete</p>
              </div>
            </div>
            <div class="infoContainer">
              <figcaption>
                <h6>{{assignment.assignmentName}}</h6>
                <ul class="source">
                  <li>
                    <p class="active">{{assignment.className}}</p>
                  </li>
                  <li>
                    <p class="active">{{assignment.semisterName}}</p>
                  </li>
                  <li>
                    <p>Monthly</p>
                  </li>
                </ul>
              </figcaption>
              <div class="alertBar">
                <table>
                  <tr>
                    <td class="W65">
                      <p class="Sdate">{{assignment.assignmentStartDate| date}}</p>
                    </td>
                    <td class="text-right">
                      <p class="grader">100%</p>
                    </td>
                  </tr>
                  <tr>
                    <td class="W65">

                      <p class="alertStatusMsg" *ngIf="assignment.daysDuration">{{assignment.daysDuration}}days remaining</p>
                      <p class="alertStatusMsg" *ngIf="assignment.minutesDuration">{{assignment.minutesDuration}}min remaining</p>
                      <p class="alertStatusMsg" *ngIf="assignment.secondDuration">{{assignment.secondDuration}}seconds remaining</p>
                    </td>
                    <td>
                      <div class="prog">
                        <em class="cyan" style="width:100%"></em>
                      </div>
                    </td>
                  </tr>
                </table>
              </div>
              <div class="info">
                <ul>
                  <li><span class="icon iconComment"></span>22/28</li>
                  <li><span class="icon iconPpl"></span>6</li>
                </ul>
              </div>
            </div>
          </a>
        </li>

      </ul>


    </div>
  </div>

    <div class="noContent" *ngIf="assignmentList.length===0 && !recordAvailableStatus">
      <p>Click on + to create new assignment</p>
    </div>

</div>





  <div class="modal" id="deletePopUp" style="display: none; z-index: 1050;padding:30px;margin-top:10%">
    <div class="modal-dialog">
 
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Delete Assignment</h4>
        </div>


        <div class="modal-body" id="confirmMessage" style="padding:60px">
          Are you sure to delete the assignment {{deleteAssignmentIntermediate.assignmentName}}
        </div>
        <div class="modal-footer">
          <button type="button"(click)="deleteAssignmentDetails(assignment)" data-dismiss="modal" class="btn btn-default btn-danger" id="confirmOk">Delete</button>
          <button type="button" class="btn btn-default btn-success" data-dismiss="modal" id="confirmCancel">Cancel</button>
        </div>
      </div>
    </div>
  </div>


  <app-createassigmentpopup></app-createassigmentpopup>


